<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextDuplicateMultipleKey Method (Int32)
Cursor Class See Also Send Feedback

If the next key/data pair of the database is a duplicate data record for the current key/data pair, move the cursor to the next key/data pair in the database, and store that pair and as many duplicate data items that can fit in a buffer the size of BufferSize in CurrentMultipleKey. MoveNextDuplicateMultipleKey will return false if the next key/data pair of the database is not a duplicate data record for the current key/data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public bool MoveNextDuplicateMultipleKey(
    	int BufferSize
    )

Visual Basic (Declaration)

    Public Function MoveNextDuplicateMultipleKey ( _
    	BufferSize As Integer _
    ) As Boolean

Visual C++

    public:
    bool MoveNextDuplicateMultipleKey(
    	int BufferSize
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with key/data pairs. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextDuplicateMultipleKey Overload
BerkeleyDB Namespace